%define upstream_name       X500-DN
%define upstream_version    0.29

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 12
Summary:	Parser and formatter for RFC 2253 style DN strings
License: 	Artistic
Group: 		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source:		https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		X500-DN-0.29-fix-parse-recdescent-version-check.patch
BuildRequires:	perl(Parse::RecDescent)
BuildArch:	noarch


%description
This module provides a pure perl parser and formatter for RFC 2253
style DN strings.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

# cleanup
rm -f %{buildroot}%{perl_vendorlib}/X500/*.pod

%files
%doc Changes README META.yml
%{perl_vendorlib}/X500
%{_mandir}/*/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.290.0-12.mga10
+ Revision: 2221862
- Mageia 10 Mass Rebuild

* Tue Apr 02 2024 daviddavid <daviddavid> 0.290.0-11.mga10
+ Revision: 2053839
- switch to autosetup

* Sun Mar 20 2022 umeabot <umeabot> 0.290.0-10.mga9
+ Revision: 1806652
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.290.0-9.mga8
+ Revision: 1498322
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.290.0-8.mga7
+ Revision: 1272742
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.290.0-7.mga6
+ Revision: 1035885
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.290.0-6.mga6
+ Revision: 946808
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.290.0-5.mga5
+ Revision: 740783
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.290.0-4.mga5
+ Revision: 686893
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.290.0-3.mga4
+ Revision: 521110
- Mageia 4 Mass Rebuild

* Wed Jan 16 2013 sander85 <sander85> 0.290.0-2.mga3
+ Revision: 388680
- Fix URL
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.290.0-1.mga1
+ Revision: 28903
- mageia rebuild
- imported package perl-X500-DN


* Sun Aug 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.290.0-1mdv2010.0
+ Revision: 419902
- new perl version macro
- fix Parse::RecDescent version check

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.29-3mdv2009.0
+ Revision: 242162
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.29-1mdv2008.0
+ Revision: 64332
- new version


* Fri Nov 17 2006 Oden Eriksson <oeriksson@mandriva.com> 0.28-4mdv2007.0
+ Revision: 85298
- Import perl-X500-DN

* Fri Nov 17 2006 Oden Eriksson <oeriksson@mandriva.com> 0.28-4
- rebuild

* Sat Sep 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.28-3mdk
- rebuild

* Thu Aug 19 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.28-2mdk
- fix deps

* Sat Apr 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.28-1mdk
- initial package

